0

IO has stopped recording my feeds
Moderators: adafruit_support_bill, adafruit

Please be positive and constructive with your questions and comments.

IO has stopped recording my feeds

by lunch_box on Tue Aug 13, 2019 10:16 pm

As the title says, IO has stopped recording my feeds. I can still see live data pop up when I have my feed page open, but nothing is being recorded.
Also, I keep getting an error saying that I don't have a username set, when I most assuredly do. I'm quite flummoxed.
Screen Shot 2019-08-13 at 10.05.54 PM.png
Screen Shot 2019-08-13 at 10.05.54 PM.png (57.55 KiB) Viewed 182 times

Screen Shot 2019-08-13 at 10.10.17 PM.png
Screen Shot 2019-08-13 at 10.10.17 PM.png (245.33 KiB) Viewed 182 times

lunch_box
 
Posts: 13
Joined: Thu Aug 08, 2019 4:11 pm

Re: IO has stopped recording my feeds

by trackseven on Wed Aug 14, 2019 12:49 am

I had the same issue but with a bmp388 and a dht22 it kept saying update account settings

trackseven
 
Posts: 5
Joined: Mon Aug 12, 2019 4:21 pm

Re: IO has stopped recording my feeds

by 00shano on Wed Aug 14, 2019 3:28 am

the same problem
Attachments
io.png
io.png (37.37 KiB) Viewed 164 times

00shano
 
Posts: 1
Joined: Wed Aug 14, 2019 3:24 am

Re: IO has stopped recording my feeds

by cjdshaw on Wed Aug 14, 2019 4:20 am

Same here. Depending on the scale of my line graph it works or doesn't
"2 days" seems to be the worst, with no data recorded since 18:35 UTC+1 yesterday
"24 hours" works fine
Most others have long gaps in them

Also, on mobile or XS layout, the title of the Dashboard gets cut off on the left
Attachments
tmp.jpg
tmp.jpg (157.27 KiB) Viewed 156 times

cjdshaw
 
Posts: 17
Joined: Mon May 08, 2017 4:04 pm

Re: IO has stopped recording my feeds

by cjdshaw on Wed Aug 14, 2019 12:46 pm

Looks like it might be fixed. My data has started appearing, with a long gap
Attachments
tmp.jpg
tmp.jpg (161.38 KiB) Viewed 132 times

cjdshaw
 
Posts: 17
Joined: Mon May 08, 2017 4:04 pm

Re: IO has stopped recording my feeds

by abachman on Wed Aug 14, 2019 1:04 pm

Hi all!


We recently updated the user interface on io.adafruit.com and along the way discovered a few bugs in older parts of the system. The occasional "no username" errors on requests and the missing aggregated data are both related to the deployment of the updated code.

The bugs are fixed, we updated the old parts, and we're currently catching up on the backlog of data for charting. No data was lost, but things got clunky on the view/reporting side of the system for a bit there, sorry about that.

No one should be getting the username error anymore and within the next 8 hours (catching up on the backlog is _slow_) everyone should have complete historical chart coverage.


- adam b.

abachman
 
Posts: 319
Joined: Mon Feb 01, 2010 12:48 pm

Re: IO has stopped recording my feeds

by cjdshaw on Wed Aug 14, 2019 1:24 pm

Thanks. What happened to the ticker across the top of the dashboard screen which showed activity?

cjdshaw
 
Posts: 17
Joined: Mon May 08, 2017 4:04 pm

Re: IO has stopped recording my feeds

by abachman on Wed Aug 14, 2019 2:44 pm

We're taking a look at that now. Thanks for the heads up.


- adam

abachman
 
Posts: 319
Joined: Mon Feb 01, 2010 12:48 pm

Re: IO has stopped recording my feeds

by abachman on Wed Aug 14, 2019 5:17 pm

What happened to the ticker across the top of the dashboard screen which showed activity?


Found it and fixed it! There was a problem with the load order of the different page elements due to the new header.

You should see the soothing blue of data traffic on all your io.adafruit.com screens now.


- adam b.

abachman
 
Posts: 319
Joined: Mon Feb 01, 2010 12:48 pm

Re: IO has stopped recording my feeds

by cjdshaw on Thu Aug 15, 2019 1:42 pm

Great. Thanks very much for the update!

abachman wrote:
What happened to the ticker across the top of the dashboard screen which showed activity?


Found it and fixed it! There was a problem with the load order of the different page elements due to the new header.

You should see the soothing blue of data traffic on all your io.adafruit.com screens now.


- adam b.

cjdshaw
 
Posts: 17
Joined: Mon May 08, 2017 4:04 pm

Re: IO has stopped recording my feeds

by kflmiami420 on Thu Aug 15, 2019 3:18 pm

abachman I keep getting errors


this code came from my pizero w dht22 script terminal window
Code: Select all | TOGGLE FULL SIZE
 raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='io.adafruit.com', port=443): Max retries exceeded with url: /api/v2/kflmiami420/feeds/temperature/data (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0xb5b85ed0>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution',))


This code came from the Rapsberry Pi 4 1 gig that is sending cpu temp info to its own feed and dashboard

Code: Select all | TOGGLE FULL SIZE
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 159, in _new_conn
    (self._dns_host, self.port), self.timeout, **extra_kw)
  File "/usr/lib/python3/dist-packages/urllib3/util/connection.py", line 57, in create_connection
    for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
  File "/usr/lib/python3.7/socket.py", line 748, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -3] Temporary failure in name resolution

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 343, in _make_request
    self._validate_conn(conn)
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 841, in _validate_conn
    conn.connect()
  File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 301, in connect
    conn = self._new_conn()
  File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 168, in _new_conn
    self, "Failed to establish a new connection: %s" % e)
urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0xb5723850>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/requests/adapters.py", line 449, in send
    timeout=timeout
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 638, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "/usr/lib/python3/dist-packages/urllib3/util/retry.py", line 398, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='io.adafruit.com', port=443): Max retries exceeded with url: /api/v2/kflmiami420/feeds/raspberrypi4/data (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0xb5723850>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "cpu_tempmon-2.py", line 33, in <module>
    aio.send(cpu_temp.key, temp)
  File "/home/pi/.local/lib/python3.7/site-packages/Adafruit_IO/client.py", line 154, in send_data
    return self.create_data(feed, payload)
  File "/home/pi/.local/lib/python3.7/site-packages/Adafruit_IO/client.py", line 254, in create_data
    return Data.from_dict(self._post(path, data._asdict()))
  File "/home/pi/.local/lib/python3.7/site-packages/Adafruit_IO/client.py", line 126, in _post
    data=json.dumps(data))
  File "/usr/lib/python3/dist-packages/requests/api.py", line 116, in post
    return request('post', url, data=data, json=json, **kwargs)
  File "/usr/lib/python3/dist-packages/requests/api.py", line 60, in request
    return session.request(method=method, url=url, **kwargs)
  File "/usr/lib/python3/dist-packages/requests/sessions.py", line 533, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/lib/python3/dist-packages/requests/sessions.py", line 646, in send
    r = adapter.send(request, **kwargs)
  File "/usr/lib/python3/dist-packages/requests/adapters.py", line 516, in send
    raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='io.adafruit.com', port=443): Max retries exceeded with url: /api/v2/kflmiami420/feeds/raspberrypi4/data (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0xb5723850>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution'))
pi@raspberrypi4oneGB:~ $






I have a pi zero w with a dht22 and a bme280 both running and sending data to the adafruit io . The dht22 sends temperature & humidity
I also have a RPi 4 1gig sending cpu temp to its own feed and dash


to its own feeds and its own dashboard
I have the loop at 30 now it was at 15 seconds


The bme280 is also sending data to adafruit io . The bme280 sends temperature2 &pressure2&humidity2
to its own feeds and its own dashboard
i have the loop at 30 now it was at 15 seconds



What is the official max number this should be set at to prevent these errors of maximum tries


    Is it better to combine all scripts to one single one ?
Attachments
101509871859084033.jpg
101509871859084033.jpg (69.13 KiB) Viewed 72 times
101509871859084032.jpg
101509871859084032.jpg (97.44 KiB) Viewed 72 times
10150987185908403.jpg
10150987185908403.jpg (99.74 KiB) Viewed 72 times

kflmiami420
 
Posts: 76
Joined: Tue Aug 21, 2018 9:43 pm

Re: IO has stopped recording my feeds

by abachman on Fri Aug 16, 2019 11:38 am

Hi kflmiami420,


This isn't an issue connected to the updates on Tuesday. It sounds like your device just can't connect to the internet, maybe? "Max retries exceeded with url" is an error from Python, not Adafruit IO.

Can you start a new thread on the forum here if you're still having trouble, please?


- adam b.

abachman
 
Posts: 319
Joined: Mon Feb 01, 2010 12:48 pm

Re: IO has stopped recording my feeds

by kflmiami420 on Fri Aug 16, 2019 4:08 pm

will do thanks

kflmiami420
 
Posts: 76
Joined: Tue Aug 21, 2018 9:43 pm

Please be positive and constructive with your questions and comments.